/*
 * Copyright (C) 2012 Michael Olbrich <m.olbrich@pengutonix.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

#include <stdio.h>

#include <QtGui/QApplication>
#include <QtGui/QMainWindow>
#include <QtDeclarative/QDeclarativeView>

#include <modaemon.h>

int main(int argc, char *argv[])
{
	fprintf(stderr, "starting...\n");

	MoDaemon daemon(argc, argv);
	QApplication app(argc, argv);
	if (!daemon.parseArgs())
		return 1;

	app.setStartDragDistance(50);

	QDeclarativeView view;
	view.setAttribute(Qt::WA_OpaquePaintEvent);
	view.setAttribute(Qt::WA_NoSystemBackground);
	view.setOptimizationFlag(QGraphicsView::DontSavePainterState);
	daemon.setupView(&view);
#ifdef Q_WS_QWS
	view.setResizeMode(QDeclarativeView::SizeRootObjectToView);
	view.showFullScreen();
#else
	view.show();
#endif

	return app.exec();
}

