# -*-makefile-*-
#
# Copyright (C) 2013 by Christoph Fritz <chf.fritz@googlemail.com>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_OPENCV) += opencv

#
# Paths and names
#

#OPENCV_VERSION  := 2.4.6.1
#OPENCV_MD5	:= d756bfa460891697571d5c90050e1cfe
OPENCV_VERSION  := 2.4.5
OPENCV_MD5	:= 8eac87462c7bec8b89021b723207c623
OPENCV		:= opencv-$(OPENCV_VERSION)
OPENCV_SUFFIX	:= tar.gz
OPENCV_URL	:= http://downloads.sourceforge.net/project/opencvlibrary/opencv-unix/$(OPENCV_VERSION)/$(OPENCV).$(OPENCV_SUFFIX)
OPENCV_SOURCE	:= $(SRCDIR)/$(OPENCV).$(OPENCV_SUFFIX)
OPENCV_DIR	:= $(BUILDDIR)/$(OPENCV)
OPENCV_LICENSE	:= BSD

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

OPENCV_CONF_TOOL	:= cmake

# FIXME:

OPENCV_CONF_OPT		:= $(CROSS_CMAKE_USR) -DBUILD_TBB=OFF -DBUILD_EXAMPLES=ON -DWITH_TBB=OFF -DWITH_FFMPEG=OFF -DWITH_GSTREAMER=ON -DWITH_V4L=ON -DWITH_NEON=ON -DWITH_VFPV3=ON -DWITH_QT=ON -DQT_INCLUDE_DIR=$(PTXDIST_PLATFORMDIR)/build-target/qt-everywhere-opensource-src-4.7.4-build/include/


# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/opencv.targetinstall:
	@$(call targetinfo)

	@$(call install_init, opencv)
	@$(call install_fixup, opencv, PRIORITY, optional)
	@$(call install_fixup, opencv, SECTION, base)
	@$(call install_fixup, opencv, AUTHOR, "Christoph Fritz <chf.fritz@googlemail.com>")
	@$(call install_fixup, opencv, DESCRIPTION, missing)

# TODO:
#       #
#       #Install headers
#       #
#
#        $(call install_tree, opencv, 0, 0, $(OPENCV_DIR)/include, 
#$(PTXDIST_SYSROOT_CROSS)/include)
#
#
#       #
#       #Install libs
#       #

	@$(call install_lib, opencv, 0, 0, 0644, libopencv_calib3d)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_contrib)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_core)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_features2d)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_flann)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_gpu)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_highgui)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_imgproc)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_legacy)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_ml)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_nonfree)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_objdetect)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_ocl)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_photo)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_stitching)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_superres)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_ts)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_video)
	@$(call install_lib, opencv, 0, 0, 0644, libopencv_videostab)

#       #
#       # Install pkg-config
#       #
#
#        @$(call install_copy, opencv, 0, 0, 0755, $(BUILDDIR)/$(OPENCV)-
#build/unix-install/opencv.pc, $(PTXDIST_SYSROOT_TARGET)/usr/lib/pkgconfig)
#
#
	@$(call install_finish, opencv)

	@$(call touch)

# vim: syntax=make
