# -*-makefile-*-
#
# Copyright (C) 2006 by Sascha Hauer
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_X11PERF) += x11perf

#
# Paths and names
#
X11PERF_VERSION	:= 1.5.4
X11PERF_MD5	:= 5c3c7431a38775caaea6051312a49bc9
X11PERF		:= x11perf-$(X11PERF_VERSION)
X11PERF_SUFFIX	:= tar.bz2
X11PERF_URL	:= unknown
X11PERF_SOURCE	:= $(SRCDIR)/$(X11PERF).$(X11PERF_SUFFIX)
X11PERF_DIR	:= $(BUILDDIR)/$(X11PERF)


# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(X11PERF_SOURCE):
	@$(call targetinfo)
	@$(call get, X11PERF)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

X11PERF_PATH	:= PATH=$(CROSS_PATH)
X11PERF_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
X11PERF_AUTOCONF := \
	$(CROSS_AUTOCONF_USR) \

#
# "--without-x" is no typo, it means don't look for X using pre
# defined --paths like /usr or /usr/X11, x11perf will find X via
# pkg-config then.
#

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/x11perf.targetinstall:
	@$(call targetinfo)

	@$(call install_init, x11perf)
	@$(call install_fixup, x11perf,PRIORITY,optional)
	@$(call install_fixup, x11perf,SECTION,base)
	@$(call install_fixup, x11perf,AUTHOR,"Robert Schwebel <r.schwebel@pengutronix.de>")
	@$(call install_fixup, x11perf,DESCRIPTION,missing)

	@$(call install_copy, x11perf, 0, 0, 0755, -, $(XORG_BINDIR)/x11perf)

	@$(call install_finish, x11perf)

	@$(call touch)

# vim: syntax=make
